function p.__get_is_solid()
    return true
end

function p.__get_tex()
    return "block_bathroom2"
end

function p.__main()
    set_default_block("r_bathroom2")
    
    std.create_half_tube(3, "y_pos", "e")
    std.create_center(5,"e")

    local msg_str = "(See the Creation Manual pdf for more details).\n\n"
        .. "You can create your own sounds by modifying "
        .. "the Sounds directory of this package.\n\n"
        .. "This package depends on the \"base\" "
        .. "package, and in "
        .. "Data/Packages/base/^x00ff00Sounds/sound_names.txt^! "
        .. "you can see that the sound file "
        .. "\"(homemade)_use.ogg\" is associated "
        .. "to the sound name \"use\".\n\n"
        .. "Go to the file "
        .. "Sounds/sound_names.txt in THIS package and "
        .. "override this by adding the line "
        .. "\"use hello.wav\". "
        .. "Read the sound_names.txt file while you are there. "
        .. "After doing this (and restarting the program), "
        .. "use a text box and hear the new \"hello\" sound. "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)
end
